Subject: bug#29261: Save/restore dates does not work properly

From: Antonio Sidinei Schug <[email-masked]>
Date: Sat, 11 Nov 2017 19:08:21 -0200

gzip version 1.3.12(Windows) and probaly others too, does not save /
restore file timestamp correctly(Always set to current.
Linux versions, when saving to a local file system, resoter/save correctly,
but if it is a mounted remote filesystem like CIFS in my case, does not.
After a change in the source code that I made,  all Works OK.
The bug is, if copy_stat (&istat) is executed before I close ofd(file
descriptor of a file being saved/restored), those times are not set
properly.
Bu if I put copy_stat after file descriptor(ofd) is closed, and set it ofd
= -1, then, they are all ok

Best regards

Antonio Sidinei Schug